﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KataDictionaryReplacer
{
    class ReplacerComponent
    {
        internal string Replace(string input, Dictionary<string, string> rulesDictionary)
        {
            if (input == "")
            {
                return "";
            }
            else
            {
                //return p.Replace(p, rulesDictionary[p.Replace("$", "")]);
                string result = input;

                foreach (KeyValuePair<string, string> kvp in rulesDictionary)
                {
                    string searchString = "$" + kvp.Key + "$";
                    result = result.Replace(searchString, kvp.Value);
                }
                return result;
            }
        }
    }
}
