﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KataPotter
{
    public static class HarryPotterCalculator
    {
        public static decimal GetPrice(params int[] books)
        {
            decimal price = 0;
            decimal discount = 1;
            int differentBookCount = books.Distinct().Count();
            List<int> bookList = new List<int>(books);

            while (bookList.Count() > 0)
            {
                var distinctBooks = bookList.Distinct().ToList();

                switch (distinctBooks.Count())
                {
                    case 2: discount = 0.95m;
                        break;
                    case 3: discount = 0.90m;
                        break;
                    case 4: discount = 0.80m;
                        break;
                    case 5: discount = 0.75m;
                        break;
                    default: discount = 1;
                        break;
                }

                price += distinctBooks.Count() * discount * 8;
                //distinctBooks.ForEach(x => bookList.Remove(x));

                foreach (int book in distinctBooks)
                {
                    bookList.Remove(book);
                }
            }

            return price;
        }
    }
}
